Package com.xebialabs.xlrelease.domain

# Class UserToken

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.UserToken

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class UserToken extends BaseConfigurationItem
This class represents a personal access token data for the user. Table also has token hash value which is not added in domain class to prevent any potential leak in logs, events etc.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserToken()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `ciUid()`
  `void`
  `ciUid_$eq(Integer x$1)`
  `Date`
  `createdDate()`
  `void`
  `createdDate_$eq(Date x$1)`
  `Date`
  `expiryDate()`
  `void`
  `expiryDate_$eq(Date x$1)`
  `boolean`
  `expiryNotified()`
  `void`
  `expiryNotified_$eq(boolean x$1)`
  `Integer`
  `getCiUid()`
  `Date`
  `getCreatedDate()`
  `Date`
  `getExpiryDate()`
  `boolean`
  `getExpiryNotified()`
  `Date`
  `getLastUsedDate()`
  `String`
  `getTokenNote()`
  `String`
  `getUsername()`
  `UserTokenPermission`
  `getUserTokenPermission()`
  `boolean`
  `isExpired()`
  `Date`
  `lastUsedDate()`
  `void`
  `lastUsedDate_$eq(Date x$1)`
  `void`
  `setCiUid(Integer x$1)`
  `void`
  `setCreatedDate(Date x$1)`
  `void`
  `setExpiryDate(Date x$1)`
  `void`
  `setExpiryNotified(boolean x$1)`
  `void`
  `setLastUsedDate(Date x$1)`
  `void`
  `setTokenNote(String x$1)`
  `void`
  `setUsername(String x$1)`
  `void`
  `setUserTokenPermission(UserTokenPermission x$1)`
  `String`
  `token()`
  `void`
  `token_$eq(String x$1)`
  `String`
  `tokenNote()`
  `void`
  `tokenNote_$eq(String x$1)`
  `String`
  `toString()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`
  `UserTokenPermission`
  `userTokenPermission()`
  `void`
  `userTokenPermission_$eq(UserTokenPermission x$1)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserToken

    public UserToken()

- ## Method Details

  - ### ciUid

    public Integer ciUid()

  - ### ciUid_$eq

    public void ciUid_$eq(Integer x$1)

  - ### createdDate

    public Date createdDate()

  - ### createdDate_$eq

    public void createdDate_$eq(Date x$1)

  - ### expiryDate

    public Date expiryDate()

  - ### expiryDate_$eq

    public void expiryDate_$eq(Date x$1)

  - ### expiryNotified

    public boolean expiryNotified()

  - ### expiryNotified_$eq

    public void expiryNotified_$eq(boolean x$1)

  - ### getCiUid

    public Integer getCiUid()

  - ### getCreatedDate

    public Date getCreatedDate()

  - ### getExpiryDate

    public Date getExpiryDate()

  - ### getExpiryNotified

    public boolean getExpiryNotified()

  - ### getLastUsedDate

    public Date getLastUsedDate()

  - ### getTokenNote

    public String getTokenNote()

  - ### getUserTokenPermission

    public UserTokenPermission getUserTokenPermission()

  - ### getUsername

    public String getUsername()

  - ### isExpired

    public boolean isExpired()

  - ### lastUsedDate

    public Date lastUsedDate()

  - ### lastUsedDate_$eq

    public void lastUsedDate_$eq(Date x$1)

  - ### setCiUid

    public void setCiUid(Integer x$1)

  - ### setCreatedDate

    public void setCreatedDate(Date x$1)

  - ### setExpiryDate

    public void setExpiryDate(Date x$1)

  - ### setExpiryNotified

    public void setExpiryNotified(boolean x$1)

  - ### setLastUsedDate

    public void setLastUsedDate(Date x$1)

  - ### setTokenNote

    public void setTokenNote(String x$1)

  - ### setUserTokenPermission

    public void setUserTokenPermission(UserTokenPermission x$1)

  - ### setUsername

    public void setUsername(String x$1)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseConfigurationItem`

  - ### token

    public String token()

  - ### tokenNote

    public String tokenNote()

  - ### tokenNote_$eq

    public void tokenNote_$eq(String x$1)

  - ### token_$eq

    public void token_$eq(String x$1)

  - ### userTokenPermission

    public UserTokenPermission userTokenPermission()

  - ### userTokenPermission_$eq

    public void userTokenPermission_$eq(UserTokenPermission x$1)

  - ### username

    public String username()

  - ### username_$eq

    public void username_$eq(String x$1)